Subject: Re: bug#32790: 27.0.50; point jumps unexpectedly after delete-window

From: Eli Zaretskii <[email-masked]>
Date: Fri, 21 Sep 2018 09:55:37 +0300

> From: Juri Linkov <[email-masked]>
> Date: Fri, 21 Sep 2018 02:33:55 +0300
> 
> 0. emacs -Q
> 
> 1. C-h e
> 
> 2. C-x o
> 
> 3. C-x 2
> 
> 4. C-x 0
> 
> It's expected that point will remain where it was visually on the screen,
> just will relocate to the window that takes place of the deleted window,
> but point jumps to an unexpected place in the opposite part of the frame.
> 
> This is not a regression, but nevertheless very annoying behavior.

You mean you expected that if the same buffer is displayed in another
window, Emacs should prefer that other window when it decides what
window to make the selected one?

I don't think this is guaranteed, and in any case I could think of a
scenario where the current behavior is the convenient one.